Public Member Functions | Public Attributes | List of all members
GreatWksDBParserInternal::Block::Zone Struct Reference

a small block of a GreatWksDBParserInternal::Block More...

## Public Member Functions
| Zone ()
| constructor More...

## Public Attributes
long | m_ptr
| the begin zone pointer More...
int | m_N
| the number of sub data More...
long | m_dataSize
| the data size More...

## Detailed Description

a small block of a GreatWksDBParserInternal::Block

## Constructor & Destructor Documentation

## ◆ Zone()

GreatWksDBParserInternal::Block::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_dataSize

long GreatWksDBParserInternal::Block::Zone::m_dataSize

the data size

Referenced by GreatWksDBParser::createBlock(), and GreatWksDBParser::readFieldRecords().

## ◆ m_N

int GreatWksDBParserInternal::Block::Zone::m_N

the number of sub data

Referenced by GreatWksDBParser::createBlock(), GreatWksDBParser::readBlock(), GreatWksDBParser::readBlockHeader2(), GreatWksDBParser::readFieldRecords(), GreatWksDBParser::readFreeList(), GreatWksDBParser::readRecordList(), and GreatWksDBParser::readRowLinks().

## ◆ m_ptr

long GreatWksDBParserInternal::Block::Zone::m_ptr

the begin zone pointer

Referenced by GreatWksDBParser::createBlock(), GreatWksDBParser::readBlock(), GreatWksDBParser::readBlockHeader2(), GreatWksDBParser::readFieldRecords(), GreatWksDBParser::readFreeList(), GreatWksDBParser::readRecordList(), and GreatWksDBParser::readRowLinks().

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx